Mailinglist Archive: opensuse (5130 mails)

< Previous Next >
PHP4
  • From: Fabien Chaudier <fabien.chaudier@xxxxxxxxxxxx>
  • Date: Fri, 19 May 2006 13:48:14 +0200
  • Message-id: <200605191348.14957.fabien.chaudier@xxxxxxxxxxxx>
Hello,

I installed SUSE10.0 with PHP4-4.4.0-6.10 and Apache2. I use Claroline 1.7.6.
Claroline need ctype_digit() fonction. This fonction is enable if PHP4 is
compiled with --enable-type.
But on my configuration I have --disable-type.

On http://fr.php.net/ctype I read this :
Beginning with PHP 4.2.0 these functions are enabled by default. For older
versions you have to configure and compile PHP with --enable-ctype. You can
disable ctype support with --disable-ctype.

Is it possible to workaround the problem without configure and compile PHP
with --enable-ctype ?


< Previous Next >
This Thread
  • No further messages